jQuery(document).ready(function($) {

  var enable_parallax_effect = pb_ajax_script.enable_para;
  if( enable_parallax_effect ){
    $(window).on('load', function () {
      $('.ap-parallax .pb-blog-section .pb-blog-wrap, .ap-parallax .pb-single-img-wrap,.parallax-main-blog-wrapper').jarallax({
        speed: 0.2
      });
    });
  }

  //$(".fluid-width-video-wrapper").fitVids();


  //ajax load more
  $('body').on('click','.pb-read-more',function(){

    var $this 			= $(this); 
    var catID 			= $this.attr('data-id');
    console.log(catID);
    var postPages 		= $this.attr('data-post');
    var default_meta 	= $this.attr('data-meta');
    var excerpt = $this.attr('data-excerpts');
    var data_count 	= parseInt($this.attr('data-count'));
    var counter =	parseInt(data_count + 1);

    $('.pb-read-more').addClass('auto-load');

    $.ajax({
     url: pb_ajax_script.ajaxurl,

     type: 'post',
     data: {
       action: 'pb_ajax_load_more',
       catID: catID,
       postPages: postPages,
       default_jsons: default_meta,
       data_count: data_count,
       excerpt:excerpt

     },

     success: function( resp ) {  

       if(resp){

        $('.pb-blog-section').append(resp);
       // $('.pb-blog-wrapper.hide-button .pb-read-more').hide();
       $this.attr('data-count',counter);
       $( ".pb-blog-wrapper.hide-button" ).parent().siblings( ".pb-read-more" ).css( "display", "none" );
       if( enable_parallax_effect ){

        $('.ap-parallax .pb-blog-section .pb-blog-wrap').jarallax({
          speed: 0.2
        });
      }
        $('.pb-read-more').removeClass('auto-load');
    }


  },
  error: function(data, errorThrown) {
    alert('request failed :'+errorThrown); 
  }

});
  });    



  var enable_loading_post = pb_ajax_script.auto_load;
  if( enable_loading_post ){

    $(window).scroll(function(e) {
      e.preventDefault();
      if( $(".pb-blog-single-load").length > 0 ){

        console.log('Yes Yamaha !!!!');

        var top_of_element    = $(".pb-blog-single-load").offset().top;
        var bottom_of_element = $(".pb-blog-single-load").offset().top + $(".pb-blog-single-load").outerHeight();
        var bottom_of_screen  = $(window).scrollTop() + $(window).innerHeight();
        var top_of_screen     = $(window).scrollTop();

        if ((bottom_of_screen > top_of_element) && (top_of_screen < bottom_of_element)){ 
        //specified div element is on viewpoint run the ajax now
        $(".pb-blog-single-load").remove();
        
        var post_id = '0';
        if($('.site-content').find('.single-blog-wrapp-outer').length){
          var post_id = $('.site-content').find('.single-blog-wrapp-outer:last-child').attr('data-id');
          
        }

        ///console.log(post_id);
        if( post_id > 0 ){
          $('.single-blog-wrapp-outer .parallax-ajax-loader').show();
          
          //console.log('greater');
          $.ajax({
            url: pb_ajax_script.ajaxurl,
            type: 'post',
            data: {
              action: 'parallax_blog_auto_load_posts',
              id: post_id
            },

            success: function( resp ) {  
              $('.single-blog-wrapp-outer .parallax-ajax-loader').hide();
              $('.site-content').append(resp);
              if( enable_parallax_effect ){

                $('.ap-parallax .pb-single-img-wrap').jarallax({
                  speed: 0.2
                });
                $('.site-content').append('<div class="pb-blog-single-load"></div>');
                $('.ap-parallax .pb-blog-section .pb-blog-wrap').jarallax({
                  speed: 0.2
                });
              }
            },
            error: function(data, errorThrown) { 
              alert('request failed :'+errorThrown); 
            }

          });
        }

      }

    }
  });
  }


$('.para-blog-open').click(function(){
  $('#para-blog-sidebar-wrapper, .para-blog-open').toggleClass('pb-active');
});

// Author
$('.pb-head-author i').click(function () {
  $('.pb-author-box-settings-wrap').addClass('author-on');
  $('.pb-author-box-settings-wrap').removeClass('author-off');
  $('.side_menu').addClass('active');
});

$('.closebtn').click(function () {
  $('.pb-author-box-settings-wrap').removeClass('author-on');
  $('.pb-author-box-settings-wrap').addClass('author-off');
  $('.side_menu').removeClass('active');
});

$('.para-blog-font-select li').click(function(){
  $('body').removeClass('large-font medium-font small-font');
  $('.para-blog-font-select li').removeClass('on');
  $(this).addClass('on');

  var font_class = $(this).attr('data-class');
  $('body').removeClass("font-1");
  $('body').removeClass("font-2");
  $('body').removeClass("font-3");

  $('body').addClass(font_class);
  //$('.jarallax').jarallax('destroy');

  // $('.ap-parallax .pb-blog-section .pb-blog-wrap, .ap-parallax .pb-single-img-wrap').jarallax({
  //       speed: 0.2
  //     });

});

$('.pb-sidebar-switch').click(function(e){
  e.preventDefault();
  $(this).toggleClass("on");
  $('body').toggleClass("hide-image");
});

if(enable_loading_post == ''){

  $(window).scroll(function() {
    // calculate the percentage the user has scrolled down the page
    var scrollwin = $(window).scrollTop();
    var articleheight = $('article').outerHeight(true);
    var windowWidth = $(window).width();
    if(scrollwin >= $('article').offset().top){
      if(scrollwin <= ($('article').offset().top + articleheight)){
        $('.ap-bar').css('width', ((scrollwin - $('article').offset().top) / articleheight) * 100 + "%"  );
      }else{
        $('.ap-bar').css('width',"100%");
      }
    }else{
      $('.ap-bar').css('width',"0px");
    }
    
  });
}


});
