<?php 
if(class_exists('WP_Customize_Control')):

//to display an instruction
class Parallax_Blog_Notice_Instruction extends WP_Customize_Control{
    public function render_content() { ?>
    <div class="map-info-wrapper">
        <?php 
            if( $this->label ){ ?>
                <h4><?php echo esc_html( $this->label ); ?></h4>
            <?php }
        if( $this->description ){ ?>
        <div class="info-message">
            <?php echo wp_kses_post($this->description); ?>
        </div>
        <?php } ?>
    </div>    
       
    
<?php        
    }
}

endif;

// parallax blog post display type sanitize
function para_blog_post_dis_typ( $input ) {
    $valid_keys = array(
            'latest-post'   => esc_html__('Display From Latest Posts','accesspress-parallax'),
            'cat-post'      => esc_html__('Display From Selected Category','accesspress-parallax')
        );
    if ( array_key_exists( $input, $valid_keys ) ) {
        return $input;
    } else {
        return '';
    }
}

// parallax blog post display type sanitize
function para_blog_post_cat_typ( $input ) {
    
    $valid_keys = parallax_blog_category_lists();
    if ( array_key_exists( $input, $valid_keys ) ) {
        return $input;
    } else {
        return '';
    }
}

function para_blog_post_disp_typ(){
    $post_display_type  = accesspress_parallax_of_get_option( 'post_display_type','cat-post' );
    if( $post_display_type == 'cat-post' ){
        return true;
    }
    return false;
}